Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81434 - rpm breaks in presence of huge filesystems
Summary: rpm breaks in presence of huge filesystems
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: rpm
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL: https://listman.redhat.com/mailman/pr...
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-09 14:24 UTC by Panu Matilainen
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-27 18:40:24 UTC


Attachments (Terms of Use)

Description Panu Matilainen 2003-01-09 14:24:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:
See the URL for my original report on this, additional discussion about the
issue at https://listman.redhat.com/mailman/private/rpm-list/2002-August/016240.html

Just checked the status on RPM 4.2 from rawhide and it's still using "signed
long" in diskspaceInfo_s structure which isn't enough... I've been patching RPM
for my customers to use "signed long long" there without any problems, if it
can't be fixed easily for non-linux platforms then at least please fix it for Linux?

Version-Release number of selected component (if applicable): any rpm version up
to and including rpm-4.2-0.51

How reproducible:
Always

Steps to Reproduce:
1. mount ridiculously big filesystem (somewhere over 1.5TB or so)
2. try to install any rpm

Actual Results:  It'll complain about insufficient diskspace on the huge
filesystem, even if the rpm wouldn't actually install anything in there (!)

Expected Results:  Packages should install regardless of how big filesystems are
mounted on the system.

Additional info:

Comment 1 Jeff Johnson 2003-01-27 18:40:24 UTC
Fixed in like rpm-4.2-0.60. Please note that huge file
systems are unsupported by the Red Hat distro, and rpm
cannot do better than that.

Comment 2 Panu Matilainen 2003-01-27 19:13:21 UTC
Thanks. I got all I asked for - that is, keep rpm working despite people
mounting things from monstrous file servers :)


Note You need to log in before you can comment on or make changes to this bug.